<?php
//автор - figura
//сайт - http://f-pt.ru
include("../sistem/cfg.dat");
include("../sistem/include_game.dat");
include("../sistem/global.dat");
include("../temes/$teme/verh.dat");

if($status=="uzer" || $status=="moder" || $status=="admin")
{
   
   if(empty($act)){$act="my";}
   if($act=="my")
   {
      echo'<div class="razd"><B>Игровая зона</B></div>';
      echo'<div class="ramk">';
      echo'Монет - <B>'.$rezerv20.'</B><br>';
      echo'Акций сайта - <B>'.$rezerv19.'</B><br>';
      echo'</div>';
      
      
      
      echo'<div class="link">'.$img_act.'<a href="index.php?act=akcii&amp;rand='.rand(111,999).'&amp;'.SID.'">Игра на акции</a></div>';
      echo'<div class="link">'.$img_act.'<a href="bandit.php?rand='.rand(111,999).'&amp;'.SID.'">Бандит</a></div>';
      echo'<div class="link">'.$img_act.'<a href="ruletka.php?rand='.rand(111,999).'&amp;'.SID.'">Рулетка</a></div>';
      echo'<div class="link">'.$img_act.'<a href="index.php?act=perevod&amp;'.SID.'">Перевод монет</a></div>';
      
   }
   
   if($act=="akcii")
   {
      echo'<div class="razd"><B>Акции сайта</B></div>';
      echo'<div class="ramk"><i>Сдесь вы можете преобрести или продать за игровые монеты сайта акции. Смысл этих торгов, это выгода с разници (купил подешевле, продал подороже).</i></div>';
      echo'Цена за шт. - <b>'.$cena_za_pokupku.'</b><br>';
      echo'Внимание, цена акции изменяется раз в 10 минут, проводите нужные вам операции как можно быстрее.<br><a href="index.php?act=akcii&amp;rand='.rand(111,999).'&amp;'.SID.'">Обновить</a><br>';
      
      echo'<div class="ramk"><form name="forma" action="index.php?'.SID.'" method="post">';
      echo'<INPUT TYPE="hidden" NAME="act" VALUE="akcii2">';
      echo'Кол-во акций<br>';
      echo'<input type="text" name="kol" value="" size="15" maxlength="50"><br>';
      echo'<SELECT NAME="deistvie">';
      echo'<OPTION VALUE="kup" selected>Купить';
      echo '<OPTION VALUE="prod">Продать';
      echo'</SELECT>';
      echo'<input type="submit" name="" value="Ok">';
      echo'</form></div>';
      echo'<a href="index.php?act=my&amp;'.SID.'">Назад</a><br>';
   }
   
   if($act=="akcii2")
   {
      if(isset($_POST['kol'])){$kol = $_POST['kol'];}
      if(isset($_POST['deistvie'])){$deistvie = $_POST['deistvie'];}
      $kol=htmlspecialchars($kol);
      $deistvie=htmlspecialchars($deistvie);
      echo'<div class="razd"><B>Акции сайта</B></div>';
      echo'Цена за шт. - <b>'.$cena_za_pokupku.'</b><br>';
      
      if($kol == "")
      {
         echo'Вы не ввели число!<br>';
      }elseif(eregi("[^0-9]",$kol))
      {
         echo'Вы ввели запрещённые символы!<br>';
      }else
      {
         if($deistvie == "kup")
         {
            $cena_za_vse = $kol * $cena_za_pokupku;
            if($cena_za_vse > $rezerv20)
            {
               echo'У вас не хватает монет для приобретения акций!<br>';
            }else
            {
               $rezerv20 = $rezerv20 - $cena_za_vse;
               $rezerv19 = $rezerv19 + $kol;
               $kod=''.$pass_real.'<||>'.$status.'<||>'.$postov.'<||>'.$golos_za.'<||>'.$golos_protiv.'<||>'.$prichina_bana.'<||>'.$time_reg.'<||>'.$den_plusa.'<||>'.$real_name.'<||>'.$real_name2.'<||>'.$gorod.'<||>'.$a_baut.'<||>'.$vozrost.'<||>'.$pol.'<||>'.$ip.'<||>'.$posled_time_pribivanij.'<||>'.$posled_time.'<||>'.$my_tema.'<||>'.$rezerv1.'<||>'.$rezerv2.'<||>'.$rezerv3.'<||>'.$rezerv4.'<||>'.$rezerv5.'<||>'.$rezerv6.'<||>'.$rezerv7.'<||>'.$rezerv8.'<||>'.$rezerv9.'<||>'.$rezerv10.'<||>'.$rezerv11.'<||>'.$rezerv12.'<||>'.$rezerv13.'<||>'.$rezerv14.'<||>'.$rezerv15.'<||>'.$rezerv16.'<||>'.$rezerv17.'<||>'.$rezerv18.'<||>'.$rezerv19.'<||>'.$rezerv20.'<||>';
               $file_login_data = fopen("$koren_dir/data/uzer/$login.dat", "w+");
               flock ($file_login_data,LOCK_EX);
               fputs($file_login_data,$kod);
               flock ($file_login_data,LOCK_UN);
               fclose($file_login_data);
               @chmod("$koren_dir/data/uzer/$login.dat", 0666);
               echo'Куплено '.$kol.' шт. За '.$cena_za_vse.' монет!<br>';
            }
            
         }elseif($deistvie == "prod")
         {
            if($kol > $rezerv19)
            {
               echo'У вас нет столько акций!<br>';
            }else
            {
               $cena_za_vse = $kol * $cena_za_pokupku;
               $rezerv20 = $rezerv20 + $cena_za_vse;
               $rezerv19 = $rezerv19 - $kol;
               $kod=''.$pass_real.'<||>'.$status.'<||>'.$postov.'<||>'.$golos_za.'<||>'.$golos_protiv.'<||>'.$prichina_bana.'<||>'.$time_reg.'<||>'.$den_plusa.'<||>'.$real_name.'<||>'.$real_name2.'<||>'.$gorod.'<||>'.$a_baut.'<||>'.$vozrost.'<||>'.$pol.'<||>'.$ip.'<||>'.$posled_time_pribivanij.'<||>'.$posled_time.'<||>'.$my_tema.'<||>'.$rezerv1.'<||>'.$rezerv2.'<||>'.$rezerv3.'<||>'.$rezerv4.'<||>'.$rezerv5.'<||>'.$rezerv6.'<||>'.$rezerv7.'<||>'.$rezerv8.'<||>'.$rezerv9.'<||>'.$rezerv10.'<||>'.$rezerv11.'<||>'.$rezerv12.'<||>'.$rezerv13.'<||>'.$rezerv14.'<||>'.$rezerv15.'<||>'.$rezerv16.'<||>'.$rezerv17.'<||>'.$rezerv18.'<||>'.$rezerv19.'<||>'.$rezerv20.'<||>';
               $file_login_data = fopen("$koren_dir/data/uzer/$login.dat", "w+");
               flock ($file_login_data,LOCK_EX);
               fputs($file_login_data,$kod);
               flock ($file_login_data,LOCK_UN);
               fclose($file_login_data);
               @chmod("$koren_dir/data/uzer/$login.dat", 0666);
               echo'Продано '.$kol.' шт. За '.$cena_za_vse.' монет!<br>';
            }
         }else
         {
            echo'Действие не выбрано!';
         }
      }
      echo'<a href="index.php?act=my&amp;'.SID.'">Далее</a><br>';
   }
////////////////////////////////////////////////////////////////////////
   if($act=="perevod")
   {
      if(isset($_GET['if_uzer'])){$if_uzer = $_GET['if_uzer'];}else{$if_uzer = "";}
     $if_uzer=htmlspecialchars($if_uzer);
      echo'<div class="razd"><B>Перевод монет</B></div>';
      echo'После перевода на вашем счету должно остаться не менее 1000 монет<br>';
      echo'<div class="ramk"><form name="forma" action="index.php?'.SID.'" method="post">';
      echo'<INPUT TYPE="hidden" NAME="act" VALUE="perevod2">';
      echo'Кому<br>';
      echo'<input type="text" name="if_uzer" value="'.$if_uzer.'" size="15" maxlength="50"><br>';
      echo'Сумма<br>';
      echo'<input type="text" name="kol" value="" size="15" maxlength="50"><br>';
      echo'<input type="submit" name="" value="Перевести">';
      echo'</form></div>';
      echo'<a href="index.php?act=my&amp;'.SID.'">Назад</a><br>';
   }
   if($act=="perevod2")
   {
      if(isset($_POST['kol'])){$kol = $_POST['kol'];}
      if(isset($_POST['if_uzer'])){$if_uzer = $_POST['if_uzer'];}
      $kol=htmlspecialchars($kol);
      $if_uzer=htmlspecialchars($if_uzer);
      echo'<div class="razd"><B>Перевод монет</B></div>';
      if($kol == "" || $if_uzer == ""|| eregi("[^0-9]",$kol))
      {
         echo'Вы неправильно заполнили форму<br>';
      }elseif(!file_exists("../data/uzer/$if_uzer.dat"))
      {
         echo'Пользователь не найден!<br>';
      }else
      {
         if(($rezerv20 - $kol) < 1000)
         {
            echo'У вас не хватает монет для Перевода!<br>';
         }else
         {
            //снимаем у себя
            $rezerv20 = $rezerv20 - $kol;
            $kod=''.$pass_real.'<||>'.$status.'<||>'.$postov.'<||>'.$golos_za.'<||>'.$golos_protiv.'<||>'.$prichina_bana.'<||>'.$time_reg.'<||>'.$den_plusa.'<||>'.$real_name.'<||>'.$real_name2.'<||>'.$gorod.'<||>'.$a_baut.'<||>'.$vozrost.'<||>'.$pol.'<||>'.$ip.'<||>'.$posled_time_pribivanij.'<||>'.$posled_time.'<||>'.$my_tema.'<||>'.$rezerv1.'<||>'.$rezerv2.'<||>'.$rezerv3.'<||>'.$rezerv4.'<||>'.$rezerv5.'<||>'.$rezerv6.'<||>'.$rezerv7.'<||>'.$rezerv8.'<||>'.$rezerv9.'<||>'.$rezerv10.'<||>'.$rezerv11.'<||>'.$rezerv12.'<||>'.$rezerv13.'<||>'.$rezerv14.'<||>'.$rezerv15.'<||>'.$rezerv16.'<||>'.$rezerv17.'<||>'.$rezerv18.'<||>'.$rezerv19.'<||>'.$rezerv20.'<||>';
            $file_login_data = fopen("$koren_dir/data/uzer/$login.dat", "w+");
            flock ($file_login_data,LOCK_EX);
            fputs($file_login_data,$kod);
            flock ($file_login_data,LOCK_UN);
            fclose($file_login_data);
            @chmod("$koren_dir/data/uzer/$login.dat", 0666);
            
            //прибавляем юзеру
            $arr = file("../data/uzer/$if_uzer.dat");
            $arr = explode("<||>",$arr[0]);
            if($arr[37] == ""){ $arr[37] = 1000; }//если юзер ёще ни разу не играл то сначало начисляем 1000
            $arr[37] = $arr[37] + $kol;
            $kod=''.$arr[0].'<||>'.$arr[1].'<||>'.$arr[2].'<||>'.$arr[3].'<||>'.$arr[4].'<||>'.$arr[5].'<||>'.$arr[6].'<||>'.$arr[7].'<||>'.$arr[8].'<||>'.$arr[9].'<||>'.$arr[10].'<||>'.$arr[11].'<||>'.$arr[12].'<||>'.$arr[13].'<||>'.$arr[14].'<||>'.$arr[15].'<||>'.$arr[16].'<||>'.$arr[17].'<||>'.$arr[18].'<||>'.$arr[19].'<||>'.$arr[20].'<||>'.$arr[21].'<||>'.$arr[22].'<||>'.$arr[23].'<||>'.$arr[24].'<||>'.$arr[25].'<||>'.$arr[26].'<||>'.$arr[27].'<||>'.$arr[28].'<||>'.$arr[29].'<||>'.$arr[30].'<||>'.$arr[31].'<||>'.$arr[32].'<||>'.$arr[33].'<||>'.$arr[34].'<||>'.$arr[35].'<||>'.$arr[36].'<||>'.$arr[37].'<||>';
            $file_login_data = fopen("../data/uzer/$if_uzer.dat", "w+");
            flock ($file_login_data,LOCK_EX);
            fputs($file_login_data,$kod);
            flock ($file_login_data,LOCK_UN);
            fclose($file_login_data);
            @chmod("$koren_dir/data/uzer/$if_uzer.dat", 0666);
            
            echo'Переданно '.$kol.' мрнет. Юреру '.$if_uzer.'!<br>';
         }
      }
      echo'<a href="index.php?act=my&amp;'.SID.'">Далее</a><br>';
   }
   
   
   
   echo'<hr size="2" width="100%">';
}
if($status=="gost")
{
   echo'<div class="razd"><B>ОШИБКА</B></div>';
   echo'Вы не авторизированны<br>';
   echo'<a href="../pages/rega.php?'.SID.'">Регистрация</a><br>';
   echo'<a href="../pages/avtoriza.php?'.SID.'">Вход</a><br>';
}
if($status=="ban" )
{
   echo'<div class="razd"><B>ОШИБКА</B></div>';
   echo'Вам сюда нельзя<br>';
}


echo'<a href="../index.php?'.SID.'">Главная</a><br>';
include("../sistem/global_end.dat");
include("../temes/$teme/niz.dat");
?>